if( location.hostname.indexOf("bytemobile.net") != -1) {		
	if(location.pathname.toLowerCase().indexOf("dom_window") !=-1 && location.pathname.toLowerCase().indexOf("01_get_element_by_id") !=-1) {
		window.opera.addEventListener('BeforeScript', function (e) {
			e.element.text = e.element.text.replace('x.style.color=="black"','x.getAttribute("style").indexOf("black")!=-1');	
		}, false);	
	}
}